Skip to Content
FlowVerifyDevelopers

List delivery attempts for a webhook

Scope webhooks:read. Newest first; deliveries are retained for 30 days. Bodies are not returned — fetch the object through the API.

Authorization

apiKey
headerAuthorizationBearer <fv_live_… or fv_test_…>

Path Parameters

id*string
Formatuuid

Query Parameters

status?string

Comma-separated subset of pending, delivering, succeeded, failed, dead, skipped

event_type?string
Lengthlength <= 64
limit?integer
Range1 <= value <= 100
Default50
offset?integer
Range0 <= value
Default0

Response Body

A page of deliveries

application/json
  1. response
success*boolean
request_id*string
Formatuuid
data?
Example Request
curl -X GET 'https://api.flowverify.co/v1/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08/deliveries'
Example Response
{  "success": true,  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846",  "data": {    "object": "list",    "data": [      {        "object": "webhook_delivery",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "webhook_id": "a47606a1-5b39-4a81-9480-c2cb738ff675",        "event_id": "a7a26ff2-e851-45b6-9634-d595f45458b7",        "event_type": "string",        "status": "pending",        "attempt": 0,        "next_attempt_at": "2019-08-24T14:15:22Z",        "response_status": 0,        "error": "string",        "duration_ms": 0,        "delivered_at": "2019-08-24T14:15:22Z",        "dead_at": "2019-08-24T14:15:22Z",        "replay_of_id": "90c647f6-55b6-454e-950e-9e488c35de9e",        "created_at": "2019-08-24T14:15:22Z"      }    ],    "pagination": {      "total": 0,      "limit": 0,      "offset": 0,      "has_more": true    }  }}